import csv
from knn import knn

# id,LV1,EPS,FR,HG,LV2,MATH,SPC,SES,SVT,SPE1,SPE2,SPE3,moy_SPE1,moy_SPE2,moy_SPE3
with open('spe_premiere.csv', newline='\n') as csvfile:
    data = csv.reader(csvfile, delimiter=',')
    titre = next(data)
    donnees = []
    for row in data:
        donnees.append([float(row[i]) for i in range(1,10)] + row[10:14]+ [float(row[i]) for i in range(14,16)])

# moyenne en seconde LV1,EPS,FR,HG,LV2,MATH,SPC,SES,SVT
test = input('saisir vos moyennes LV1,EPS,FR,HG,LV2,MATH,SPC,SES,SVT séparées par un espace ')
eleve_test = [float(tr) for tr in test.split(' ')]
# knn(donnees, point, k, nombre_dim)
# donnees --> base de données
# point ---> le point à comparer
# k --> le nombre de voisins
# nombre_dim --> nombre de dimensions ici 9
k =7
spes = {'MATH':0,'SVT':0, 'SPC':0, 'NSI':0, 'HLP':0,
        'HGGSP':0, 'LLCE':0, 'LCA':0, 'SES':0}

liste_des_sept = knn(donnees, eleve_test, k, 9)
for indice in liste_des_sept:
    for i in range(9, 12):
        spes[donnees[indice][i]] += 1
# triage  ....
resultat = [(valeur,cle) for cle, valeur in spes.items()]
resultat.sort(reverse=True)
print('On vous propose')
for reco in resultat[:4]:
    print('{0} à {1:.2f}%'.format(reco[1], reco[0]/k*100))
