from math import sqrt


def distance_euclidienne(point1, point2, nombre_dim):
    distance_carre = 0
    for i in range(nombre_dim):
        distance_carre = distance_carre + (point2[i] - point1[i]) ** 2
    return sqrt(distance_carre)


def knn(donnees, point, k, nombre_dim):
    tab = [(distance_euclidienne(donnee, point, nombre_dim), indice)
           for indice, donnee in enumerate(donnees)]
    tab = sorted(tab)
    resultat = [numero for distance, numero in tab[:k]]
    return resultat


'''A = [70, 140]
data = [[65.75,	112.99, 'chat'],
        [71.52,	136.49, 'chat'],
        [68.22,	142.34, 'chien'],
        [96.4,	153.03, 'chat'],
        [67.79,	144.3, 'chien'],
        [68.7,	123.3, 'chat'],
        [70.01,	136.46, 'chat'],
        [69.8,	141.49, 'chien'],
        [67.9,	112.37, 'chien'],
        [66.49,	127.45, 'chat']]

proches_voisins = knn(data, A, 5, 2)

compteur_chat = 0
compteur_chien = 0
for i in proches_voisins:
    _, _, animal = data[i]
    if animal == 'chat':
        compteur_chat += 1
    else:
        compteur_chien += 1

if compteur_chat > compteur_chien:
    print('Miaou Miaou je suis un chat')
else:
    print('Ouaf Ouaf je suis un chien')'''
